dnsdomainname(1)

NAME
dnsdomainname - show DNS domain name

SYNOPSIS
dnsdomainname [option ...]

DESCRIPTION
Show the domain part of the system's fully qualified host name.

The tool uses gethostname(2) to get the host name of the system and getaddrinfo(2) to resolve it into a canonical name. The part after the first period (‘’). of the canonical name is shown.

OPTIONS

?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

SEE ALSO
gethostname(2), getaddrinfo(3)